LINUX.ORG.RU

Прекращение поддержки устаревшего оборудования в nvidia-drivers 343

 , , ,


1

1

Nvidia объявила о прекращении поддержки устаревших видеокарт в проприетарном драйвере, начиная с грядущей версии nvidia-drivers 343. Поддержка прекращается для всех видеокарт, выпущенных до появления архитектуры Fermi. В частности, лишаются поддержки:

  • все десктопные видеокарты серий 8xxx, 9xxx, 1xx, 2xx, 3xx и GeForce 405 (единственная модель серии 4xx, не основанная на архитектуре Fermi);
  • все мобильные видеокарты серий 7xxx, 8xxx, 9xxx, 1xx, 2xx, 3xx;
  • некоторые модели Quadro и Tesla (полный список доступен на официальном сайте).

Отмечается, что поддержка указанного оборудования сохранится в nvidia-drivers 340.xx, который переводится в статус legacy-драйвера с поддержкой до 1 апреля 2016 года. Поддержка будет ограничена лишь исправлением ошибок, развитие и оптимизация этой линейки драйверов прекращается.

>>> Подробности

anonymous

Проверено: Shaman007 ()

вот и карты поколения «Direct X 10» ушли в историю

haku ★★★★★ ()

Вот блин, а я только пару месяцев назад GF 210 сменил на 760 :(

KennyMinigun ★★★★★ ()
Последнее исправление: KennyMinigun (всего исправлений: 1)

Это было ожидаемо. Карточки то уже старенькие. В свое время 9600 и 9800 были неплохими карточками, но время идет, все устаревает.

ivanlex ★★★★ ()

Вовремя я на AMD Radeon съехал.

carasin ★★★★★ ()

Нафейхуа они убирают поддержку старых, если новые криво работают?

mittorn ★★★★★ ()

В 2008 и 2012 годах AMD прекращала поддержку старых видеокарт, а NVIDIA всё это время:

1). Поддерживала GeForce 6 и новее (более 5 серий видеочипсетов).
2). Поддерживала всё что старее, кроме первого GeForce и того что было до него. Поддержка его прекратилась в 2010 году и длилась 10 лет. А AMD не обновляла legacy-драйверы для Linux.

Когда в 2013 году GeForce 6 и 7 всё-таки перестали поддерживаться, я думал что следующий раз будет нескоро. Но нет, очень скоро. Что? До 2016-го? Отстой. Почему GeForce GTX 2xx в 2016-м перестанет поддерживаться, хотя GeForce 2 в 2014 поддерживается?

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от mittorn

> Нафейхуа они убирают поддержку старых, если новые криво работают?

Чтобы сосредоточить усилия на новых. Нашёл у них трудноуловимый баг, который есть только в DEB-based линуксах. Наверное поэтому программисты пишут что не могут воспроизвести баг. Не поленись я зарепортить описание бага с решением, может и не стали бы убирать поддержку старого железа.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

У меня не deb. А на новых видеоадаптерах у меня путаются последние несколько кадров в текстурах, из-за чего везде дрожат движущиеся изображения.

mittorn ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

6 и 7 сериии еще поддерживаются: https://devtalk.nvidia.com/default/topic/706631/unix-graphics-announcements-a...

я был буквально в шоке, когда это прочитал, AMD уже давно забила на видеокарты даже 2009 года выпуска, для них есть лишь одно решение - открытый драйвер (ну или сидеть на каком-то старом дистре не обновляясь). А Nvidia до сих пор поддерживает совместимость карт 2005 года!

anonymous ()
Ответ на: комментарий от anonymous

GeForce 2 тоже хорошо себя чувствует с Linux 3.10 и проприетарным драйвером. Например в Porteus Linux 3.0.

ZenitharChampion ★★★★★ ()

да ну блин, неправильно они делают. карты с серии GF8 хороши и по сей день. я бы с радостью отдал свою 440 взамен 8800 ultra

YLoS ★★★ ()
Ответ на: комментарий от carasin

В отличие от ... у nvidia есть legacy ветка, поэтому ты зря съехал.

Reset ★★★★★ ()
Ответ на: комментарий от carasin

Вовремя я на AMD Radeon съехал.

Nvidia прекратила поддержку древних видеокарт, а ты радуешся переезду кактус имени АМД?

anonymous ()

иногда думаю, а почему бы не привлечь к выпуску железа для linux S3?

YLoS ★★★ ()

А как же мой рабочий десктоп на 9800Gt?!
Неуж-то придётся грейдит!

Yustas ★★★★ ()
Ответ на: комментарий от YLoS

Новая карта из бюджетного сектора (*40) не сравнима с картой для энтузиастов (*800) даже через три поколения.
В этом плане весьма доволен своей GTX460 1G - взял б/у за приемлемые деньги (~$100).

void_ptr ★★★★ ()

Не вижу смысла менять свою 9800. Но когда соберусь, то только на Интел.

Ros ()
Ответ на: комментарий от Yustas

Еще 2 года можешь не рыпаться, надеясь, что за это время допилят nouveau, и он начнет показывать производительность большую, нежели в 50% от закрытого драйвера. Хотя, судя по новостям, работа кипит как раз в отношении свободных драйверов AMD, постоянно там то одно оптимизировали, то из другого еще пару процентов выжали.

anonymous ()

Значит, 8800 GTS не будет работать с новыми дровами?

CYB3R ★★★★★ ()
Ответ на: комментарий от CYB3R

С новыми - нет. C дровами линейки 340.xx - еще два года.

anonymous ()

Мне кажется, в новых ветках могут таки запилить поддержку оптимуса, т.к. не нужно тягать deprecated. Жалко что так рано дропнули в легаси, можно было бы через годика 2-3 туда запихивать.

Хотя 2xx появились в 2009-м вроде - 5 лет вполне приличный срок (а более старые соответственно еще дольше поддержку получили). Это не AMD, которые дропают 2-3 годичной давности видухи.

leg0las ★★★★★ ()
Последнее исправление: leg0las (всего исправлений: 4)
Ответ на: комментарий от ZenitharChampion

Что значит «перестает поддерживаться», какие-то legacy-ветки отменяют?

Citramonum ★★ ()
Ответ на: комментарий от anonymous

А пакетные менеджеры в современных дистрибутивах достаточно умные, чтобы не обновить случайно драйвер до неподдержииваемой версии?

CYB3R ★★★★★ ()
Ответ на: комментарий от anonymous

что за это время допилят nouveau

Мне для офисных приложений хватате его производительности, но только с блобом вентилятор не орёт.

Yustas ★★★★ ()
Ответ на: комментарий от CYB3R

Ну вот у меня в дебиане взял да обновил.
nvidia-detect (карта потянут дрова ветки 304), ок,
update-alternatives --nvidia
выставляю 304, reboot. Всё. Жив-здоров.

Hertz ★★★★★ ()

Надо же сколько у некотрых видяхи живут, я меняю через три, ну максимум четыре года.

petyanamlt ★★★ ()
Ответ на: комментарий от petyanamlt

Да, моя трёхлетняя ферми давно просит заменить её, даже не смотря на то, что игрушки с графоном мне не интересны. Чего уж говорить о более старых.

wakuwaku ★★★★ ()
Ответ на: комментарий от mittorn

На 8600 нормально, на 8800 нормально, на 460 нормально, на 470 нормально, на 560 нормально, на 630 нормально, на 640 нормально.

Другие сейчас тестить влом.

Goury ★★★★★ ()
Ответ на: комментарий от YLoS

я бы с радостью отдал свою 440 взамен 8800 ultra

Шило на мыло.

roman77 ★★★★★ ()
Ответ на: комментарий от CYB3R

Мандрива была достаточно умна, Магея, подозреваю, продолжает традицию.

staseg ★★★★★ ()
Ответ на: комментарий от gosha36

Ну тут два варианта: либо Вы не знакомы с актуальным положением дел, а сейчас просто брякнули за-ради просто так; либо с ситуацией вокруг видео-подсистемы GNU/Linux Вы всё же знакомы, тогда это смех без причины. Из обоих вариантов можно сделать вполне определённые выводы. Выбирайте, какой из них Вам более близок?

carasin ★★★★★ ()
Ответ на: комментарий от Reset

В отличие от ... у AMD есть свободный драйвер, работающий «искаропки» [в том числе и на Г мамонта] с производительностью, уже близкой к блобу + умеющий ряд уникальных фич (по сравнению с блобами).

carasin ★★★★★ ()
Ответ на: комментарий от anonymous

Я не использую блоб AMD, только их свободный драйвер, который уже более чем торт. Он поддерживает практически весь спектр карт AMD, так что да, переезд на AMD по меньшей мере обоснован, причём не только и не столько из-за более широкой поддержки железа, а по причине работоспособности драйвера radeon «искаропки», его производительности, уже близкой к таковой у блоба, а также наличия некоторых фич, не имеющих места в блобе. Но «радость» — это не то слово, которое следует использовать в данном подтексте.

carasin ★★★★★ ()
Последнее исправление: carasin (всего исправлений: 1)
Ответ на: комментарий от KennyMinigun

Вот блин, а я только пару месяцев назад GF 210 сменил на 760 :(

Было бы круче, если бы ты пару месяцев назад GF 8600 на 210 сменил :)

djambeyshik ★★★★★ ()
Ответ на: комментарий от CYB3R

в deb ведь обычно дрова пакуют в стиле nvidia-drivers-310 (т.е. номер версии прямо в названии пакета). Так что тут всё продумано.

KennyMinigun ★★★★★ ()

Жалко. Мне своей 250 абсолютно хватает.

h31 ★★★★ ()

Правильное решение, а то же оптимизирует впервую очередь для новых, поэтому старым все равно толку нет, а вот только наломать могут.

fornlr ★★★★★ ()

Ещё одной проблемой меньше - какой драйвер, и какую версию блоба ставить: остаются или свободный, или легаси 340. И тестировщиков пользователей nouveau будет больше. Таким образом Nvidia поддерживает opensource сообщество и развитие свободного драйвера

ss_ash ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.